%define upstream_name    Goose
%define upstream_version 0.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Bend subroutines to your will, or easily create classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
the Goose manpage is basically just a fork of the Sub::Mage manpage. I
created Sub::Mage in a moment of insanity, and, unfortunately the method
names and pod reflects that, plus it was not managed well. What this module
attempts to do is make a developers life easier by allowing them to manage
and manipulate subroutines and modules. You can override a subroutine, then
restore it as it was originally, create after, before and around hook
modifiers, delete subroutines, or even tag every subroutine in a class to
let you know when each one is being run, which is great for debugging. On
top of all this Goose offers some minor OOP framework utilities like
'extends', 'accessor' and 'chainable'. Of course if you need more I would
advise the Moose manpage or the Mouse manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 511928
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 367855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 14 2011 kharec <kharec> 0.13.0-1.mga2
+ Revision: 181612
- update to 0.013

* Tue Dec 13 2011 kharec <kharec> 0.12.0-1.mga2
+ Revision: 181375
- update to 0.012

* Wed Dec 07 2011 kharec <kharec> 0.11.0-1.mga2
+ Revision: 178383
- update to 0.011

* Tue Dec 06 2011 kharec <kharec> 0.10.0-1.mga2
+ Revision: 177866
- update to 0.010

* Sun Dec 04 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 176008
- imported package perl-Goose


* Sun Dec 04 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
